Subject: Re: [PATCH] enhanced i2c driver for MPC8xx/MPC8260 CPM ...

From: Tom Rini <[email-masked]>
Date: Fri, 31 May 2002 07:47:25 -0700

On Fri, May 31, 2002 at 11:32:41AM +1000, Murray Jensen wrote:

> I think the file that includes <linux/i2c-algo-cpm.h> is expected to include
> commproc.h, or cpm_8260.h, as required. What is the policy on these things?
> Should every include file include all headers it needs? Anyone?

IMHO, a header file should only include other things which the header
itself needs.  eg if you do 'u8 foo;' in foo.h, add #include <asm/types.h>

Anything the C file needs itself, it should include, and for the sake of
being explicit (and it's good for multi-arch drivers) if the C code does
'u8 bar;' it should do #include <asm/types.h> too.

> Should we take this discussion off the list now? Cheers!

Nah..

--
Tom Rini (TR1265)
http://gate.crashing.org/~trini/

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/